<?php
/*
	Copyright(c) 2010 Shift Tech Inc. All Rights Reserved.
 	http://www.shift-tech.jp/

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

require_once ('AdminController.php');
class BSMAdminController extends AdminController {

	/**
      * @var array	ログイン済みユーザー情報
      */
    var $uinfo;

	function BSMAdminController()
	{
		$this->__construct();
	}
	function __construct()
	{
		AdminController::__construct();
    }


	function setTpl($tplfilename) {
		return $this->view->fetch(MODULES_PATH.$tplfilename);
	}

	function setHeadhtml($headhtml) {
		$this->view->assign("bsmadmin_head",$headhtml);
	}

	function DisplayPage($htmldata) {
		$this->view->assign("bsmadmin_html",$htmldata);
		$this->view->display("_common/bsmadmin.tpl");
	}
}

?>